package co.pixelbeard.theanfieldwrap.data.responses;

import com.google.gson.annotations.SerializedName;

import co.pixelbeard.theanfieldwrap.data.Wallet;
import co.pixelbeard.theanfieldwrap.networking.BaseResponse;

public class GetWalletResponse extends BaseResponse {


    @SerializedName("context")
    String context;
    @SerializedName("wallet")
    Wallet wallet;

    public GetWalletResponse() {
    }

    public GetWalletResponse(boolean success, String message, String context, Wallet wallet) {
        super(success, message);
        this.context = context;
        this.wallet = wallet;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public Wallet getWallet() {
        return wallet;
    }

    public void setWallet(Wallet wallet) {
        this.wallet = wallet;
    }
}
